#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>
#include <unistd.h>
#include <rk/rk.h>
#include <rk/rk_error.h>
#include <signal.h>
#include <linux/unistd.h>

int main(int argc, char *argv[])
{
    unsigned long clock_freq = 0;
    clock_freq = rt_get_clock_frequency();
    if (clock_freq != 0) {
	printf("Clock frequency: %f MHz\n",
	       (float) (clock_freq / 1000000.0));
    } else {
	printf
	    ("%s: could not get clock frequency. TimeSys Linux/RT loaded?\n",
	     argv[0]);
	return (-1);
    }

    return 0;
}
